Перейти к содержанию

Системные требования для серверов Windows и клиентских приложений

Note

Это руководство рассматривает установку сервера приложений на Windows, а также общие вопросы по конфигурированию сервера TESSA, такие как настройка почты. Для установки сервера приложений на Linux обратитесь к инструкции Руководство по установке на Linux, причём за дополнительной информацией по конфигурационным файлам обратитесь к этому руководству.

Требования к программной конфигурации сервера приложений

  • Операционная система Microsoft Windows одной из следующих версий:

    • Windows Server 2012 R2 (x64)

    • Windows Server 2016 (x64)

    • Windows Server 2019 (x64)

    • Windows Server 2022 (x64)

  • IIS 8.5+

  • Для установки часто требуется также установить обновления для ОС

  • Платформа .NET Framework не используется, его установленная версия не является важной

Требования к программной конфигурации сервера БД

  • Операционная система Microsoft Windows одной из следующих версий:

    • Windows Server 2008 R2 SP1 (x64)

    • Windows Server 2012 (x64)

    • Windows Server 2012 R2 (x64)

    • Windows Server 2016 (x64)

    • Windows Server 2019 (x64)

    • Windows Server 2022 (x64)

  • Любая из поддерживаемых СУБД:

    • Microsoft SQL Server 2012 и старше редакции Standard и выше. Допускается использование редакции Express на усмотрение заказчика с учетом ограничений данной редакции.

    • PostgreSQL 9.6 или старше.

Требования к клиентским компьютерам для работы desktop-клиента

  • Операционная система Microsoft Windows одной из следующих версий:

    • Windows 7 SP1 (x86 and x64)

    • Windows 8.1 (x86 and x64)

    • Windows 10 (version 1809+, x86 and x64)

    • Windows 11 (x64)

  • 2 ГБ оперативной памяти и выше.

  • Для Windows 7 SP1 требуется установленный .NET Framework 4.0 или старше (для установки часто требуется также установить обновления для ОС). Для Windows 8.1 требования отсутствуют. Windows 10 должна быть обновлена минимум до версии 1809 (номер сборки 10.0.17763) или любая версия старше. Для Windows 11 требования отсутствуют.

Требования к клиентским компьютерам для работы web-клиента

  • Операционная система Linux, macOS или Microsoft Windows одной из следующих версий:

    • Windows 7 SP1 (x86 and x64)

    • Windows 8.1 (x86 and x64)

    • Windows 10 (x86 and x64)

    • Windows 11 (x64)

  • 2 ГБ оперативной памяти и выше.

  • Браузер Яндекс.Браузер, Chrome/Firefox/Microsoft Edge или Safari (для macOS).

    • Яндекс.Браузер 22+

    • Google Chrome 55+

    • Mozilla Firefox 50+

    • Microsoft Edge: версия, входящая в состав ОС Windows 10 Version 1809 или старше, включая Microsoft Edge на движке Chromium

    • Safari 10+

Примечание по безопасности и поддержка протоколов HTTPS/TLS

Взаимодействие с сервером приложений TESSA всегда выполняется по протоколу HTTPS с использованием протокола TLS для шифрования трафика. Протокол SSLv3 явно запрещён к использованию.

На момент написания документации версия протокола TLS 1.2 общепринято считается безопасной. Также выпущена версия TLS 1.3, в которой считается, что безопасность повышена, но поддержка этой версии ограничена (см. ниже). Версии протоколов TLS 1.0 и 1.1 названы небезопасными, и их использование не рекомендуется.

Для коммуникации между клиентом и сервером системой TESSA используется самая старшая версия протокола, поддерживаемая и клиентом, и сервером. Например, если и клиент, и сервер поддерживает протокол TLS 1.3, то будет использоваться он как более надёжный, иначе - TLS 1.2, 1.1 или 1.0. Для ОС Windows 7 SP1 требуются установленные обновления (из центра обновлений Windows) для поддержки TLS 1.2, для более старших версий Windows 8.1/10/11 и Windows Server 2012 R2+, и для поддерживаемых дистрибутивов ОС Linux протокол TLS 1.2 всегда доступен.

Для desktop-приложений и для серверной стороны играет роль версия операционной системы Windows или версия библиотеки OpenSSL, установленной в дистрибутиве Linux. Для web-клиента версия протокола зависит от версии браузера.

Протокол последней версии TLS 1.3 поддерживается на сервере приложений TESSA для ОС Linux с установленной библиотекой OpenSSL 1.1.1 (проверьте документацию или репозиторий своего дистрибутива).

Со стороны клиента поддержку обеспечивает только web-клиент TESSA в браузерах с поддержкой этого протокола, причём браузер должен быть обновлён (Яндекс.Браузер, Chrome, Firefox, Safari). Также может потребоваться явно включить этот протокол в настройках браузера - обратитесь к документации по вашему браузеру.

ОС Windows 10 версий 1903 и старше, Windows 11, Windows Server 2019 версий 1903 и старше, а также Windows Server 2022 имеют экспериментальную поддержку этого протокола, отключённую по умолчанию и включаемую через реестр. Платформа .NET, на основе которой построена система TESSA, также не имеет поддержки TLS 1.3 на ОС Windows, поэтому самая старшая версия протокола, которую может использовать desktop-клиент - TLS 1.2. Аналогично, если сервер приложений установлен на ОС Windows, то web-клиент всегда будет использовать максимум версию TLS 1.2, даже при наличии поддержки TLS 1.3 со стороны браузера.

Back to top